(* ::Package:: *)

(*Ancillary file to the preprint "Higgs decay into a lepton pair and a photon revisited" 
by A. Kachanovich, U. Nierste, and I. Nisandzic (2020), 
containing the one-loop coefficients a1, a2, b1 and b2. See the accompanying preprint for the details*)


Print["Ancillary file to the preprint Higgs decay into a lepton pair and a photon revisited
by A. Kachanovich, U. Nierste, and I. Nisandzic (2020), 
containing the one-loop coefficients a1, a2, b1 and b2. See the accompanying preprint for the details.

Notation: mt, mH, mZ, mW denote masses of top quark, Higgs-, Z- and
W- bosons, while EL, sinW, cosW denote electromagnetic coupling, sine and cosine of the weak mixing angle,
respectively."]


a1FCnr = ((-2*EL^4*Pi^2*((-3 + 8*(1 - cosW^2))*mt^2*PaVe[0, {0, mH^2, s}, 
           {mt^2, mt^2, mt^2}] + 18*cosW^2*(-1 + 4*cosW^2)*mZ^2*
          PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}] + 
         12*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         32*(1 - cosW^2)*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         9*cosW^2*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
            cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] + 
         9*(1 - cosW^2)*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
            cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
           PaVeAutoReduce -> True] + 54*cosW^4*mZ^2*PaVe[1, 2, {0, mH^2, s}, 
           {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
           PaVeAutoReduce -> True] + 18*cosW^2*(1 - cosW^2)*mZ^2*
          PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         36*cosW^4*D*mZ^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
            cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
       (9*cosW^3*Sqrt[1 - cosW^2]*mZ*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-32*mt^2*(-((-4 + D)*mH^2) + (-2 + D)*s)*
            PaVe[0, {mH^2}, {mt^2, mt^2}] - 18*(mH^2 + 2*cosW^2*(-1 + D)*
              mZ^2)*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
             {cosW^2*mZ^2, cosW^2*mZ^2}] + 64*mt^2*s*PaVe[0, {s}, 
             {mt^2, mt^2}] - 36*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*s*
            PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}] - 16*mt^2*(mH^2 - s)*
            (-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
             {mt^2, mt^2, mt^2}] - 72*cosW^2*mZ^2*(mH^2 - s)*
            ((-5 + 2*D)*mH^2 - 2*cosW^2*(-1 + D)*mZ^2 - 2*(-2 + D)*s)*
            PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}]))/
         (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-8*(1 - cosW^2)^2*(-4 + D)*Pi^2*
            PaVe[3, {0, mH^2 - s - t, 0, t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           8*(1 - cosW^2)^2*(-2 + D)*Pi^2*PaVe[2, 3, {0, mH^2 - s - t, 0, t, 
              0, mH^2}, {0, mZ^2, 0, mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] - 8*(1 - cosW^2)^2*(-2 + D)*Pi^2*
            PaVe[3, 3, {0, mH^2 - s - t, 0, t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
         (cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
a2FCnr = ((-2*EL^4*Pi^2*((-3 + 8*(1 - cosW^2))*mt^2*PaVe[0, {0, mH^2, s}, 
           {mt^2, mt^2, mt^2}] + 18*cosW^2*(-1 + 4*cosW^2)*mZ^2*
          PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}] + 
         12*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         32*(1 - cosW^2)*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         9*cosW^2*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
            cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] + 
         9*(1 - cosW^2)*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
            cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
           PaVeAutoReduce -> True] + 54*cosW^4*mZ^2*PaVe[1, 2, {0, mH^2, s}, 
           {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
           PaVeAutoReduce -> True] + 18*cosW^2*(1 - cosW^2)*mZ^2*
          PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, 
           PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
         36*cosW^4*D*mZ^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
            cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
       (9*cosW^3*Sqrt[1 - cosW^2]*mZ*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-32*mt^2*(-((-4 + D)*mH^2) + (-2 + D)*s)*
            PaVe[0, {mH^2}, {mt^2, mt^2}] - 18*(mH^2 + 2*cosW^2*(-1 + D)*
              mZ^2)*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
             {cosW^2*mZ^2, cosW^2*mZ^2}] + 64*mt^2*s*PaVe[0, {s}, 
             {mt^2, mt^2}] - 36*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*s*
            PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}] - 16*mt^2*(mH^2 - s)*
            (-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
             {mt^2, mt^2, mt^2}] - 72*cosW^2*mZ^2*(mH^2 - s)*
            ((-5 + 2*D)*mH^2 - 2*cosW^2*(-1 + D)*mZ^2 - 2*(-2 + D)*s)*
            PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}]))/
         (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-8*(1 - cosW^2)^2*(-4 + D)*Pi^2*
            PaVe[3, {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           8*(1 - cosW^2)^2*(-2 + D)*Pi^2*PaVe[2, 3, {0, t, 0, mH^2 - s - t, 
              0, mH^2}, {0, mZ^2, 0, mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] - 8*(1 - cosW^2)^2*(-2 + D)*Pi^2*
            PaVe[3, 3, {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
         (cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
b1FCnr = (-((-1 + 2*(1 - cosW^2))*EL^4*Pi^2*((-3 + 8*(1 - cosW^2))*mt^2*
           PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}] + 
          18*cosW^2*(-1 + 4*cosW^2)*mZ^2*PaVe[0, {0, mH^2, s}, 
            {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}] + 
          12*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          32*(1 - cosW^2)*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          9*cosW^2*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
             cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] + 
          9*(1 - cosW^2)*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
             cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True] + 54*cosW^4*mZ^2*PaVe[1, 2, {0, mH^2, s}, 
            {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True] + 18*cosW^2*(1 - cosW^2)*mZ^2*
           PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          36*cosW^4*D*mZ^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
             cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True]))/(9*cosW^3*(1 - cosW^2)^(3/2)*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-32*mt^2*(-((-4 + D)*mH^2) + (-2 + D)*s)*
            PaVe[0, {mH^2}, {mt^2, mt^2}] - 18*(mH^2 + 2*cosW^2*(-1 + D)*
              mZ^2)*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
             {cosW^2*mZ^2, cosW^2*mZ^2}] + 64*mt^2*s*PaVe[0, {s}, 
             {mt^2, mt^2}] - 36*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*s*
            PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}] - 16*mt^2*(mH^2 - s)*
            (-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
             {mt^2, mt^2, mt^2}] - 72*cosW^2*mZ^2*(mH^2 - s)*
            ((-5 + 2*D)*mH^2 - 2*cosW^2*(-1 + D)*mZ^2 - 2*(-2 + D)*s)*
            PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}]))/
         (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
        ((I/2)*cosW*EL^4*mZ*Pi^2*(4*PaVe[0, {mH^2, 0, 0, 0, s, t}, 
             {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2, 0}] + 
           4*PaVe[1, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
              cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           4*PaVe[3, {0, mH^2 - s - t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, 
              cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] + 4*PaVe[3, {0, t, mH^2, s, 0, 0}, 
             {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> 
              True, PaVeAutoReduce -> True] - 2*(-2 + D)*
            PaVe[1, 2, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
              cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           2*(-2 + D)*PaVe[2, 3, {0, mH^2 - s - t, mH^2, s, 0, 0}, 
             {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> 
              True, PaVeAutoReduce -> True] - 2*(-2 + D)*
            PaVe[2, 3, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
              cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
         (1 - cosW^2)^(3/2) - ((I/4)*EL^4*mZ*
          (-2*(-4 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*PaVe[3, {0, mH^2 - s - t, 
              0, t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] - 2*(-2 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*
            PaVe[2, 3, {0, mH^2 - s - t, 0, t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           2*(-2 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*PaVe[3, 3, {0, mH^2 - s - t, 
              0, t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True]))/(cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
b2FCnr = (-((-1 + 2*(1 - cosW^2))*EL^4*Pi^2*((-3 + 8*(1 - cosW^2))*mt^2*
           PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}] + 
          18*cosW^2*(-1 + 4*cosW^2)*mZ^2*PaVe[0, {0, mH^2, s}, 
            {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}] + 
          12*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          32*(1 - cosW^2)*mt^2*PaVe[1, 2, {0, mH^2, s}, {mt^2, mt^2, mt^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          9*cosW^2*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
             cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] + 
          9*(1 - cosW^2)*mH^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
             cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True] + 54*cosW^4*mZ^2*PaVe[1, 2, {0, mH^2, s}, 
            {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True] + 18*cosW^2*(1 - cosW^2)*mZ^2*
           PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}, 
            PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
          36*cosW^4*D*mZ^2*PaVe[1, 2, {0, mH^2, s}, {cosW^2*mZ^2, 
             cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
            PaVeAutoReduce -> True]))/(9*cosW^3*(1 - cosW^2)^(3/2)*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-32*mt^2*(-((-4 + D)*mH^2) + (-2 + D)*s)*
            PaVe[0, {mH^2}, {mt^2, mt^2}] - 18*(mH^2 + 2*cosW^2*(-1 + D)*
              mZ^2)*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
             {cosW^2*mZ^2, cosW^2*mZ^2}] + 64*mt^2*s*PaVe[0, {s}, 
             {mt^2, mt^2}] - 36*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*s*
            PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}] - 16*mt^2*(mH^2 - s)*
            (-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
             {mt^2, mt^2, mt^2}] - 72*cosW^2*mZ^2*(mH^2 - s)*
            ((-5 + 2*D)*mH^2 - 2*cosW^2*(-1 + D)*mZ^2 - 2*(-2 + D)*s)*
            PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}]))/
         (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
        ((I/2)*cosW*EL^4*mZ*Pi^2*(4*PaVe[0, {mH^2, 0, 0, 0, s, mH^2 - s - t}, 
             {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2, 0}] + 
           4*PaVe[1, {0, mH^2 - s - t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, 
              cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] + 4*PaVe[3, {0, mH^2 - s - t, mH^2, s, 
              0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           4*PaVe[3, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
              cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           2*(-2 + D)*PaVe[1, 2, {0, mH^2 - s - t, mH^2, s, 0, 0}, 
             {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> 
              True, PaVeAutoReduce -> True] - 2*(-2 + D)*
            PaVe[2, 3, {0, mH^2 - s - t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, 
              cosW^2*mZ^2, cosW^2*mZ^2}, PaVeAutoOrder -> True, 
             PaVeAutoReduce -> True] - 2*(-2 + D)*PaVe[2, 3, 
             {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
              cosW^2*mZ^2}, PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
         (1 - cosW^2)^(3/2) - ((I/4)*EL^4*mZ*
          (-2*(-4 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*PaVe[3, 
             {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           2*(-2 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*PaVe[2, 3, 
             {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True] - 
           2*(-2 + D)*(Pi - 2*(1 - cosW^2)*Pi)^2*PaVe[3, 3, 
             {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}, 
             PaVeAutoOrder -> True, PaVeAutoReduce -> True]))/
         (cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
a1PXnr = ((-2*EL^4*Pi^2*(((-3 + 8*(1 - cosW^2))*mt^2*PVC[0, 0, 0, 0, mH^2, s, 
            mt, mt, mt])/(2*Pi)^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*
           (-1 + 4*cosW^2)*mZ^2*PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/
          Pi^(2*Eps) + (3*2^(2 - 2*Eps)*mt^2*PVC[0, 1, 1, 0, mH^2, s, mt, mt, 
            mt])/Pi^(2*Eps) - (2^(5 - 2*Eps)*(1 - cosW^2)*mt^2*
           PVC[0, 1, 1, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) + 
         (27*2^(1 - 2*Eps)*cosW^4*mZ^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/
          Pi^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*(1 - cosW^2)*mZ^2*
           PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) - 
         (9*2^(2 - 2*Eps)*cosW^4*Dim*mZ^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, 
            mW])/Pi^(2*Eps) - (9*cosW^2*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, 
            mW])/(2*Pi)^(2*Eps) + (9*(1 - cosW^2)*mH^2*PVC[0, 1, 1, 0, mH^2, 
            s, mW, mW, mW])/(2*Pi)^(2*Eps)))/(9*cosW^3*Sqrt[1 - cosW^2]*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-((2^(5 - 2*Eps)*mt^2*(-((-4 + Dim)*mH^2) + 
               (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/Pi^(2*Eps)) - 
           (9*2^(1 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*
             ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
            Pi^(2*Eps) + (2^(6 - 2*Eps)*mt^2*s*PVB[0, 0, s, mt, mt])/
            Pi^(2*Eps) - (9*2^(2 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*s*
             PVB[0, 0, s, mW, mW])/Pi^(2*Eps) - (2^(4 - 2*Eps)*mt^2*
             (mH^2 - s)*(-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*
             PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) - 
           (9*2^(3 - 2*Eps)*cosW^2*mZ^2*(mH^2 - s)*((-5 + 2*Dim)*mH^2 - 
              2*cosW^2*(-1 + Dim)*mZ^2 - 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, 
              mH^2, s, mW, mW, mW])/Pi^(2*Eps)))/(cosW*Sqrt[1 - cosW^2]*
          (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-(2^(3 - 2*Eps)*(1 - cosW^2)^2*(-4 + Dim)*
             Pi^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, mH^2 - s - t, 0, t, 0, mH^2, 
              0, mZ, 0, mZ]) - 2^(3 - 2*Eps)*(1 - cosW^2)^2*(-2 + Dim)*
            Pi^(2 - 2*Eps)*PVD[0, 0, 0, 2, 0, mH^2 - s - t, 0, t, 0, mH^2, 0, 
             mZ, 0, mZ] - 2^(3 - 2*Eps)*(1 - cosW^2)^2*(-2 + Dim)*
            Pi^(2 - 2*Eps)*PVD[0, 0, 1, 1, 0, mH^2 - s - t, 0, t, 0, mH^2, 0, 
             mZ, 0, mZ]))/(cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
a2PXnr = ((-2*EL^4*Pi^2*(((-3 + 8*(1 - cosW^2))*mt^2*PVC[0, 0, 0, 0, mH^2, s, 
            mt, mt, mt])/(2*Pi)^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*
           (-1 + 4*cosW^2)*mZ^2*PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/
          Pi^(2*Eps) + (3*2^(2 - 2*Eps)*mt^2*PVC[0, 1, 1, 0, mH^2, s, mt, mt, 
            mt])/Pi^(2*Eps) - (2^(5 - 2*Eps)*(1 - cosW^2)*mt^2*
           PVC[0, 1, 1, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) + 
         (27*2^(1 - 2*Eps)*cosW^4*mZ^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/
          Pi^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*(1 - cosW^2)*mZ^2*
           PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) - 
         (9*2^(2 - 2*Eps)*cosW^4*Dim*mZ^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, 
            mW])/Pi^(2*Eps) - (9*cosW^2*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, 
            mW])/(2*Pi)^(2*Eps) + (9*(1 - cosW^2)*mH^2*PVC[0, 1, 1, 0, mH^2, 
            s, mW, mW, mW])/(2*Pi)^(2*Eps)))/(9*cosW^3*Sqrt[1 - cosW^2]*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-((2^(5 - 2*Eps)*mt^2*(-((-4 + Dim)*mH^2) + 
               (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/Pi^(2*Eps)) - 
           (9*2^(1 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*
             ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
            Pi^(2*Eps) + (2^(6 - 2*Eps)*mt^2*s*PVB[0, 0, s, mt, mt])/
            Pi^(2*Eps) - (9*2^(2 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*s*
             PVB[0, 0, s, mW, mW])/Pi^(2*Eps) - (2^(4 - 2*Eps)*mt^2*
             (mH^2 - s)*(-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*
             PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) - 
           (9*2^(3 - 2*Eps)*cosW^2*mZ^2*(mH^2 - s)*((-5 + 2*Dim)*mH^2 - 
              2*cosW^2*(-1 + Dim)*mZ^2 - 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, 
              mH^2, s, mW, mW, mW])/Pi^(2*Eps)))/(cosW*Sqrt[1 - cosW^2]*
          (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-(2^(3 - 2*Eps)*(1 - cosW^2)^2*(-4 + Dim)*
             Pi^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, t, 0, mH^2 - s - t, 0, mH^2, 
              0, mZ, 0, mZ]) - 2^(3 - 2*Eps)*(1 - cosW^2)^2*(-2 + Dim)*
            Pi^(2 - 2*Eps)*PVD[0, 0, 0, 2, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, 
             mZ, 0, mZ] - 2^(3 - 2*Eps)*(1 - cosW^2)^2*(-2 + Dim)*
            Pi^(2 - 2*Eps)*PVD[0, 0, 1, 1, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, 
             mZ, 0, mZ]))/(cosW^3*(1 - cosW^2)^(3/2))))/(16*Pi^4);
 
b1PXnr = (-((-1 + 2*(1 - cosW^2))*EL^4*Pi^2*
         (((-3 + 8*(1 - cosW^2))*mt^2*PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/
           (2*Pi)^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*(-1 + 4*cosW^2)*mZ^2*
            PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) + 
          (3*2^(2 - 2*Eps)*mt^2*PVC[0, 1, 1, 0, mH^2, s, mt, mt, mt])/
           Pi^(2*Eps) - (2^(5 - 2*Eps)*(1 - cosW^2)*mt^2*PVC[0, 1, 1, 0, 
             mH^2, s, mt, mt, mt])/Pi^(2*Eps) + (27*2^(1 - 2*Eps)*cosW^4*mZ^2*
            PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) + 
          (9*2^(1 - 2*Eps)*cosW^2*(1 - cosW^2)*mZ^2*PVC[0, 1, 1, 0, mH^2, s, 
             mW, mW, mW])/Pi^(2*Eps) - (9*2^(2 - 2*Eps)*cosW^4*Dim*mZ^2*
            PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) - 
          (9*cosW^2*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/
           (2*Pi)^(2*Eps) + (9*(1 - cosW^2)*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, 
             mW, mW])/(2*Pi)^(2*Eps)))/(9*cosW^3*(1 - cosW^2)^(3/2)*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-((2^(5 - 2*Eps)*mt^2*(-((-4 + Dim)*mH^2) + 
               (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/Pi^(2*Eps)) - 
           (9*2^(1 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*
             ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
            Pi^(2*Eps) + (2^(6 - 2*Eps)*mt^2*s*PVB[0, 0, s, mt, mt])/
            Pi^(2*Eps) - (9*2^(2 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*s*
             PVB[0, 0, s, mW, mW])/Pi^(2*Eps) - (2^(4 - 2*Eps)*mt^2*
             (mH^2 - s)*(-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*
             PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) - 
           (9*2^(3 - 2*Eps)*cosW^2*mZ^2*(mH^2 - s)*((-5 + 2*Dim)*mH^2 - 
              2*cosW^2*(-1 + Dim)*mZ^2 - 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, 
              mH^2, s, mW, mW, mW])/Pi^(2*Eps)))/(cosW*Sqrt[1 - cosW^2]*
          (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-((2^(1 - 2*Eps)*(-4 + Dim)*(Pi - 2*(1 - cosW^2)*Pi)^
               2*PVD[0, 0, 0, 1, 0, mH^2 - s - t, 0, t, 0, mH^2, 0, mZ, 0, 
               mZ])/Pi^(2*Eps)) - (2^(1 - 2*Eps)*(-2 + Dim)*
             (Pi - 2*(1 - cosW^2)*Pi)^2*PVD[0, 0, 0, 2, 0, mH^2 - s - t, 0, 
              t, 0, mH^2, 0, mZ, 0, mZ])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*(Pi - 2*(1 - cosW^2)*Pi)^2*
             PVD[0, 0, 1, 1, 0, mH^2 - s - t, 0, t, 0, mH^2, 0, mZ, 0, mZ])/
            Pi^(2*Eps)))/(cosW^3*(1 - cosW^2)^(3/2)) - 
        ((I/2)*EL^4*mW*Pi^2*((2^(2 - 2*Eps)*PVD[0, 0, 0, 0, mH^2, 0, 0, 0, s, 
              t, mW, mW, mW, 0])/Pi^(2*Eps) - 
           (2^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, mH^2 - s - t, mH^2, s, 0, 0, mW, 
              0, mW, mW])/Pi^(2*Eps) + (2^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, t, 
              mH^2, s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 0, 1, 1, 0, mH^2 - s - t, mH^2, 
              s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 0, 1, 1, 0, t, mH^2, s, 0, 0, mW, 
              0, mW, mW])/Pi^(2*Eps) + (2^(2 - 2*Eps)*PVD[0, 1, 0, 0, 0, t, 
              mH^2, s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 1, 1, 0, 0, t, mH^2, s, 0, 0, mW, 
              0, mW, mW])/Pi^(2*Eps)))/(1 - cosW^2)^(3/2)))/(16*Pi^4);
 
b2PXnr = (-((-1 + 2*(1 - cosW^2))*EL^4*Pi^2*
         (((-3 + 8*(1 - cosW^2))*mt^2*PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/
           (2*Pi)^(2*Eps) + (9*2^(1 - 2*Eps)*cosW^2*(-1 + 4*cosW^2)*mZ^2*
            PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) + 
          (3*2^(2 - 2*Eps)*mt^2*PVC[0, 1, 1, 0, mH^2, s, mt, mt, mt])/
           Pi^(2*Eps) - (2^(5 - 2*Eps)*(1 - cosW^2)*mt^2*PVC[0, 1, 1, 0, 
             mH^2, s, mt, mt, mt])/Pi^(2*Eps) + (27*2^(1 - 2*Eps)*cosW^4*mZ^2*
            PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) + 
          (9*2^(1 - 2*Eps)*cosW^2*(1 - cosW^2)*mZ^2*PVC[0, 1, 1, 0, mH^2, s, 
             mW, mW, mW])/Pi^(2*Eps) - (9*2^(2 - 2*Eps)*cosW^4*Dim*mZ^2*
            PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/Pi^(2*Eps) - 
          (9*cosW^2*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, mW, mW])/
           (2*Pi)^(2*Eps) + (9*(1 - cosW^2)*mH^2*PVC[0, 1, 1, 0, mH^2, s, mW, 
             mW, mW])/(2*Pi)^(2*Eps)))/(9*cosW^3*(1 - cosW^2)^(3/2)*mZ*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      I*(((I/9)*EL^4*Pi^2*(-((2^(5 - 2*Eps)*mt^2*(-((-4 + Dim)*mH^2) + 
               (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/Pi^(2*Eps)) - 
           (9*2^(1 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*
             ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
            Pi^(2*Eps) + (2^(6 - 2*Eps)*mt^2*s*PVB[0, 0, s, mt, mt])/
            Pi^(2*Eps) - (9*2^(2 - 2*Eps)*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*s*
             PVB[0, 0, s, mW, mW])/Pi^(2*Eps) - (2^(4 - 2*Eps)*mt^2*
             (mH^2 - s)*(-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*
             PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/Pi^(2*Eps) - 
           (9*2^(3 - 2*Eps)*cosW^2*mZ^2*(mH^2 - s)*((-5 + 2*Dim)*mH^2 - 
              2*cosW^2*(-1 + Dim)*mZ^2 - 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, 
              mH^2, s, mW, mW, mW])/Pi^(2*Eps)))/(cosW*Sqrt[1 - cosW^2]*
          (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
        ((I/4)*EL^4*mZ*(-((2^(1 - 2*Eps)*(-4 + Dim)*(Pi - 2*(1 - cosW^2)*Pi)^
               2*PVD[0, 0, 0, 1, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, mZ, 0, 
               mZ])/Pi^(2*Eps)) - (2^(1 - 2*Eps)*(-2 + Dim)*
             (Pi - 2*(1 - cosW^2)*Pi)^2*PVD[0, 0, 0, 2, 0, t, 0, 
              mH^2 - s - t, 0, mH^2, 0, mZ, 0, mZ])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*(Pi - 2*(1 - cosW^2)*Pi)^2*
             PVD[0, 0, 1, 1, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, mZ, 0, mZ])/
            Pi^(2*Eps)))/(cosW^3*(1 - cosW^2)^(3/2)) - 
        ((I/2)*EL^4*mW*Pi^2*((2^(2 - 2*Eps)*PVD[0, 0, 0, 0, mH^2, 0, 0, 0, s, 
              mH^2 - s - t, mW, mW, mW, 0])/Pi^(2*Eps) + 
           (2^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, mH^2 - s - t, mH^2, s, 0, 0, mW, 
              0, mW, mW])/Pi^(2*Eps) - (2^(2 - 2*Eps)*PVD[0, 0, 0, 1, 0, t, 
              mH^2, s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 0, 1, 1, 0, mH^2 - s - t, mH^2, 
              s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 0, 1, 1, 0, t, mH^2, s, 0, 0, mW, 
              0, mW, mW])/Pi^(2*Eps) + (2^(2 - 2*Eps)*PVD[0, 1, 0, 0, 0, 
              mH^2 - s - t, mH^2, s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps) - 
           (2^(1 - 2*Eps)*(-2 + Dim)*PVD[0, 1, 1, 0, 0, mH^2 - s - t, mH^2, 
              s, 0, 0, mW, 0, mW, mW])/Pi^(2*Eps)))/(1 - cosW^2)^(3/2)))/
     (16*Pi^4);
