(* ::Package:: *)

(*Ancillary file to the preprint "Higgs decay into a lepton pair and a photon revisited" 
by A. Kachanovich, U. Nierste, and I. Nisandzic (2020), 
containing the one-loop coefficients a1, a2, b1 and b2. See the accompanying preprint for the details*)


Print["Ancillary file to the preprint Higgs decay into a lepton pair and a photon revisited
by A. Kachanovich, U. Nierste, and I. Nisandzic (2020), 
containing the one-loop coefficients a1, a2, b1 and b2. See the accompanying preprint for the details.

Notation: mt, mH, mZ, mW denote masses of top quark, Higgs-, Z- and
W- bosons, while EL, sinW, cosW denote electromagnetic coupling, sine and cosine of the weak mixing angle,
respectively."]


a1FCr = ((32*EL^4*mt^2*Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*
        PaVe[0, {mH^2}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*s) + (4*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*
        ((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, {mt^2, mt^2}])/
       (9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2*Sqrt[1 - cosW^2]*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {mH^2}, 
         {mZ^2, mZ^2}])/(cosW^3*t*(s + t)) - 
      (2*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*((-4 + D)*mH^2 - 
         (-2 + D)*s)*PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
      (EL^4*((-1 + 2*cosW^2)*mH^2 + 2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*
        Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (64*EL^4*mt^2*Pi^2*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2) + (8*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*s*
        PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (4*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*PaVe[0, {s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2) - (2*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*s*
        PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2*Sqrt[1 - cosW^2]*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {mH^2 - s - t}, 
         {0, mZ^2}])/(cosW^3*t*(s + t)) + (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*
        ((20 - 10*D + D^2)*t*(s + t) + (-2 + D)*mZ^2*((-2 + D)*s + 
           2*(-3 + D)*t) - mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*t))*
        PaVe[0, {0, 0, mH^2 - s - t}, {0, 0, mZ^2}])/(2*cosW^3*(-3 + D)*s*
        t^2) - (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*((20 - 10*D + D^2)*t*(s + t) + 
         (-2 + D)*mZ^2*((-2 + D)*s + 2*(-3 + D)*t) - 
         mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*t))*
        PaVe[0, {0, 0, t}, {0, 0, mZ^2}])/(2*cosW^3*(-3 + D)*s*t*
        (-mH^2 + s + t)) + (16*EL^4*mt^2*Pi^2*((-2 + D)*mH^2 - 8*mt^2 - 
         (-2 + D)*s)*PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)*s) + 
      (2*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*(-((-2 + D)*mH^2) + 8*mt^2 + 
         (-2 + D)*s)*PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}])/
       (9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (8*cosW*EL^4*mZ*Pi^2*((5 - 2*D)*mH^2 + 2*cosW^2*(-1 + D)*mZ^2 + 
         2*(-2 + D)*s)*PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
          cosW^2*mZ^2}])/(Sqrt[1 - cosW^2]*(-2 + D)*(mH^2 - s)*s) - 
      (4*EL^4*mZ*Pi^2*((-3 + cosW^2*(10 - 4*D) + D)*mH^2 + 
         4*cosW^4*(-1 + D)*mZ^2 - (-2 + D)*s - 2*cosW^2*(mZ^2 + 4*s - 2*D*s))*
        PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + D)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*
        ((s + t)*(t*(s + t)*((-4 - 2*D + D^2)*s + (20 - 10*D + D^2)*t) - 
           (-2 + D)*mZ^2*((-2 + D)*s^2 + (-8 + 3*D)*s*t - 2*(-3 + D)*t^2)) + 
         mH^2*(-(t*(s + t)*((-4 - 2*D + D^2)*s + (20 - 10*D + D^2)*t)) + 
           (-2 + D)*mZ^2*((-2 + D)*s^2 + 4*(-3 + D)*s*t - (-2 + D)*t^2)))*
        PaVe[0, {0, mH^2, mH^2 - s - t}, {0, mZ^2, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*t^2*(s + t)*(-mH^2 + s + t)) - 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*(mH^4*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*t) + t*((20 - 10*D + D^2)*t*(s + t) + 
           (-2 + D)*mZ^2*((-10 + 3*D)*s + 2*(-3 + D)*t)) - 
         mH^2*((20 - 10*D + D^2)*t*(s + 2*t) + (-2 + D)*mZ^2*
            ((-2 + D)*s + (-8 + 3*D)*t)))*PaVe[0, {0, mH^2, t}, 
         {0, mZ^2, mZ^2}])/(2*cosW^3*(-3 + D)*s*t^2*(-mH^2 + s + t)) + 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*(-(mZ^2*s) + mH^2*(mZ^2 - t) + 
         t*(s + t))*(-((20 - 10*D + D^2)*t*(s + t)) - (-2 + D)*mZ^2*
          ((-2 + D)*s + 2*(-3 + D)*t) + mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*t))*PaVe[0, {0, mH^2 - s - t, 0, t, 0, mH^2}, 
         {0, mZ^2, 0, mZ^2}])/(2*cosW^3*(-3 + D)*s*t^2*(-mH^2 + s + t)))/
     (16*Pi^4);
 
a2FCr = ((32*EL^4*mt^2*Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*
        PaVe[0, {mH^2}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*s) + (4*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*
        ((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, {mt^2, mt^2}])/
       (9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2*Sqrt[1 - cosW^2]*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {mH^2}, 
         {mZ^2, mZ^2}])/(cosW^3*(mH^2 - t)*(mH^2 - s - t)) - 
      (2*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*((-4 + D)*mH^2 - 
         (-2 + D)*s)*PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*(mH^2 - s)^2*s) - 
      (EL^4*((-1 + 2*cosW^2)*mH^2 + 2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*
        Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (64*EL^4*mt^2*Pi^2*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2) + (8*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*s*
        PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (4*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*PaVe[0, {s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2) - (2*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*s*
        PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2*Sqrt[1 - cosW^2]*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {t}, {0, mZ^2}])/
       (cosW^3*(mH^2 - t)*(mH^2 - s - t)) + 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*((-2 + D)*mZ^2*((-2 + D)*s + 
           2*(-3 + D)*(mH^2 - s - t)) - mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) + (20 - 10*D + D^2)*(mH^2 - t)*
          (mH^2 - s - t))*PaVe[0, {0, 0, mH^2 - s - t}, {0, 0, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*(mH^2 - s - t)*t) + 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*((-2 + D)*mZ^2*((-2 + D)*s + 
           2*(-3 + D)*(mH^2 - s - t)) - mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) + (20 - 10*D + D^2)*(mH^2 - t)*
          (mH^2 - s - t))*PaVe[0, {0, 0, t}, {0, 0, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*(mH^2 - s - t)^2) + 
      (16*EL^4*mt^2*Pi^2*((-2 + D)*mH^2 - 8*mt^2 - (-2 + D)*s)*
        PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)*s) + (2*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^2*
        (-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
         {mt^2, mt^2, mt^2}])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (8*cosW*EL^4*mZ*Pi^2*((5 - 2*D)*mH^2 + 2*cosW^2*(-1 + D)*mZ^2 + 
         2*(-2 + D)*s)*PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, 
          cosW^2*mZ^2}])/(Sqrt[1 - cosW^2]*(-2 + D)*(mH^2 - s)*s) - 
      (4*EL^4*mZ*Pi^2*((-3 + cosW^2*(10 - 4*D) + D)*mH^2 + 
         4*cosW^4*(-1 + D)*mZ^2 - (-2 + D)*s - 2*cosW^2*(mZ^2 + 4*s - 2*D*s))*
        PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + D)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*(mH^4*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) - 
         mH^2*((-2 + D)*mZ^2*((-2 + D)*s + (-8 + 3*D)*(mH^2 - s - t)) + 
           (20 - 10*D + D^2)*(2*mH^2 - s - 2*t)*(mH^2 - s - t)) + 
         ((-2 + D)*mZ^2*((-10 + 3*D)*s + 2*(-3 + D)*(mH^2 - s - t)) + 
           (20 - 10*D + D^2)*(mH^2 - t)*(mH^2 - s - t))*(mH^2 - s - t))*
        PaVe[0, {0, mH^2, mH^2 - s - t}, {0, mZ^2, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*(mH^2 - s - t)^2*t) - 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*
        (mH^2*((-2 + D)*mZ^2*((-2 + D)*s^2 + 4*(-3 + D)*s*(mH^2 - s - t) - 
             (-2 + D)*(mH^2 - s - t)^2) - ((-4 - 2*D + D^2)*s + 
             (20 - 10*D + D^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t)) + 
         (-((-2 + D)*mZ^2*((-2 + D)*s^2 + (-8 + 3*D)*s*(mH^2 - s - t) - 
              2*(-3 + D)*(mH^2 - s - t)^2)) + ((-4 - 2*D + D^2)*s + 
             (20 - 10*D + D^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t))*
          (mH^2 - t))*PaVe[0, {0, mH^2, t}, {0, mZ^2, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*(mH^2 - t)*(mH^2 - s - t)^2*t) - 
      (Sqrt[1 - cosW^2]*EL^4*mZ*Pi^2*
        (-((-2 + D)*mZ^2*((-2 + D)*s + 2*(-3 + D)*(mH^2 - s - t))) + 
         mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*(mH^2 - s - t)) - 
         (20 - 10*D + D^2)*(mH^2 - t)*(mH^2 - s - t))*
        (-(mZ^2*s) + (mH^2 - t)*(mH^2 - s - t) + mH^2*(-mH^2 + mZ^2 + s + t))*
        PaVe[0, {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}])/
       (2*cosW^3*(-3 + D)*s*(mH^2 - s - t)^2*t))/(16*Pi^4);
 
b1FCr = ((32*EL^4*mt^2*Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*
        PaVe[0, {mH^2}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*s) - (2*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^2*
        ((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, {mt^2, mt^2}])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      ((-2 + D)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*PaVe[0, {mH^2}, {mZ^2, mZ^2}])/
       (2*cosW^3*(1 - cosW^2)^(3/2)*t*(s + t)) + 
      (EL^4*Pi^2*(-2*mH^2*((-4 + D)*mH^2 - (-2 + D)*s)*t*(s + t) + 
         4*cosW^4*(-1 + D)*mZ^2*((-4 + D)*mH^2 - (-2 + D)*s)*t*(s + t) + 
         cosW^2*((-2 + D)*mZ^2*s*((-2 + D)*s^2 + 4*(-1 + D)*s*t + 
             4*(-1 + D)*t^2) + mH^4*((-2 + D)^2*mZ^2*s + 2*(-4 + D)*t*
              (s + t)) - 2*mH^2*((-2 + D)*s*t*(s + t) + 
             mZ^2*((-2 + D)^2*s^2 + 2*(4 - 5*D + D^2)*s*t + 2*(4 - 5*D + D^2)*
                t^2))))*PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*(mH^2 - s)^2*s*t*(s + t)) + 
      ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*((-4 + D)*mH^2 - 
         (-2 + D)*s)*PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/
       (2*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (64*EL^4*mt^2*Pi^2*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2) - (4*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        Pi^2*s*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW^3*(1 - cosW^2)^(3/2)*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (4*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*PaVe[0, {s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2) + ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*s*
        PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*(1 - cosW^2)^(3/2)*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      ((-2 + D)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*PaVe[0, {mH^2 - s - t}, 
         {0, mZ^2}])/(2*cosW^3*(1 - cosW^2)^(3/2)*t*(s + t)) - 
      (cosW*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {mH^2 - s - t}, {0, cosW^2*mZ^2}])/
       ((1 - cosW^2)^(3/2)*t*(s + t)) - (cosW*(-2 + D)*EL^4*mZ*Pi^2*s*
        (-((-2 + D)*mH^2) + (-2 + D)*s + 2*(-3 + D)*t)*
        PaVe[0, {0, 0, s}, {cosW^2*mZ^2, 0, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*t^2*(-mH^2 + s + t)) + 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*((20 - 10*D + D^2)*t*(s + t) + 
         (-2 + D)*mZ^2*((-2 + D)*s + 2*(-3 + D)*t) - 
         mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*t))*
        PaVe[0, {0, 0, mH^2 - s - t}, {0, 0, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2) - 
      (cosW*EL^4*mZ*Pi^2*(-(cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^2 - 
            (-2 + D)*s - 2*(-3 + D)*t)) + (mH^2 - s - t)*
          ((-2 + D)^2*s + 4*(-3 + D)*t))*PaVe[0, {0, 0, mH^2 - s - t}, 
         {0, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*
        t^2) - (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*((20 - 10*D + D^2)*t*(s + t) + 
         (-2 + D)*mZ^2*((-2 + D)*s + 2*(-3 + D)*t) - 
         mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*t))*
        PaVe[0, {0, 0, t}, {0, 0, mZ^2}])/(8*cosW^3*(1 - cosW^2)^(3/2)*
        (-3 + D)*s*t*(-mH^2 + s + t)) - 
      (cosW*EL^4*mZ*Pi^2*(cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^2 - (-2 + D)*s - 
           2*(-3 + D)*t) + t*(-4*(-3 + D)*mH^2 + (-4 - 2*D + D^2)*s + 
           4*(-3 + D)*t))*PaVe[0, {0, 0, t}, {0, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*s*t*(-mH^2 + s + t)) + 
      (16*EL^4*mt^2*Pi^2*((-2 + D)*mH^2 - 8*mt^2 - (-2 + D)*s)*
        PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)*s) - ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        Pi^2*(-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
         {mt^2, mt^2, mt^2}])/(9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*
        (-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (cosW*EL^4*mZ*Pi^2*(64*cosW^4*(3 - 4*D + D^2)*mZ^2*(mH^2 - s - t)*t^2 - 
         (-2 + D)*mH^6*((-2 + D)^2*s + 8*(-3 + D)*t) + 
         mH^4*(3*(-2 + D)^3*s^2 + 2*(60 - 44*D + 5*D^2 + D^3)*s*t + 
           8*(66 - 49*D + 9*D^2)*t^2) + (-2 + D)*s*((-2 + D)^2*s^3 + 
           2*(-6 - D + D^2)*s^2*t + 72*(-3 + D)*s*t^2 + 64*(-3 + D)*t^3) - 
         mH^2*(3*(-2 + D)^3*s^3 + 4*(24 - 14*D - D^2 + D^3)*s^2*t + 
           16*(60 - 47*D + 9*D^2)*s*t^2 + 32*(15 - 11*D + 2*D^2)*t^3) + 
         2*cosW^2*((-2 + D)^3*mH^6*mZ^2 - 32*(6 - 5*D + D^2)*s*t^2*(s + t) + 
           mZ^2*(-((-2 + D)^3*s^3) - 2*(-3 + D)*(-2 + D)^2*s^2*t + 
             32*(3 - 4*D + D^2)*s*t^2 + 32*(3 - 4*D + D^2)*t^3) + 
           mH^4*(-16*(15 - 11*D + 2*D^2)*t^2 - (-2 + D)^2*mZ^2*
              (3*(-2 + D)*s + 2*(-3 + D)*t)) + 
           mH^2*(16*(-3 + D)*t^2*((-9 + 4*D)*s + (-5 + 2*D)*t) + 
             mZ^2*(3*(-2 + D)^3*s^2 + 4*(-3 + D)*(-2 + D)^2*s*t - 32*
                (3 - 4*D + D^2)*t^2))))*PaVe[0, {0, mH^2, s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*
        (-3 + D)*(-2 + D)*(mH^2 - s)*s*(mH^2 - s - t)*t^2) + 
      (2*(-1 + 2*cosW^2)*EL^4*mZ*Pi^2*((-3 + cosW^2*(10 - 4*D) + D)*mH^2 + 
         4*cosW^4*(-1 + D)*mZ^2 - (-2 + D)*s - 2*cosW^2*(mZ^2 + 4*s - 2*D*s))*
        PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (cosW*(1 - cosW^2)^(3/2)*(-2 + D)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((s + t)*(t*(s + t)*((-4 - 2*D + D^2)*s + (20 - 10*D + D^2)*t) - 
           (-2 + D)*mZ^2*((-2 + D)*s^2 + (-8 + 3*D)*s*t - 2*(-3 + D)*t^2)) + 
         mH^2*(-(t*(s + t)*((-4 - 2*D + D^2)*s + (20 - 10*D + D^2)*t)) + 
           (-2 + D)*mZ^2*((-2 + D)*s^2 + 4*(-3 + D)*s*t - (-2 + D)*t^2)))*
        PaVe[0, {0, mH^2, mH^2 - s - t}, {0, mZ^2, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*(s + t)*(-mH^2 + s + t)) - 
      (cosW*EL^4*mZ*Pi^2*((mH^2 - s - t)*(s + t)*((-2 + D)^2*s^2 + 
           (-8 + D^2)*s*t - 4*(-3 + D)*t^2) - cosW^2*(-2 + D)*mZ^2*
          (-((s + t)*((-2 + D)*s^2 + (-8 + 3*D)*s*t - 2*(-3 + D)*t^2)) + 
           mH^2*((-2 + D)*s^2 + 4*(-3 + D)*s*t - (-2 + D)*t^2)))*
        PaVe[0, {0, mH^2, mH^2 - s - t}, {0, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*(s + t)*(-mH^2 + s + t)) - 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*(mH^4*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*t) + t*((20 - 10*D + D^2)*t*(s + t) + 
           (-2 + D)*mZ^2*((-10 + 3*D)*s + 2*(-3 + D)*t)) - 
         mH^2*((20 - 10*D + D^2)*t*(s + 2*t) + (-2 + D)*mZ^2*
            ((-2 + D)*s + (-8 + 3*D)*t)))*PaVe[0, {0, mH^2, t}, 
         {0, mZ^2, mZ^2}])/(8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*
        (-mH^2 + s + t)) - (cosW*EL^4*mZ*Pi^2*
        (-((mH^2 - t)*t*(4*(-3 + D)*mH^2 + (20 - 10*D + D^2)*s - 
            4*(-3 + D)*t)) + cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^4 + 
           mH^2*(-((-2 + D)*s) + (8 - 3*D)*t) + t*((-10 + 3*D)*s + 
             2*(-3 + D)*t)))*PaVe[0, {0, mH^2, t}, {0, cosW^2*mZ^2, 
          cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*
        (-mH^2 + s + t)) + (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (-(mZ^2*s) + mH^2*(mZ^2 - t) + t*(s + t))*
        (-((20 - 10*D + D^2)*t*(s + t)) - (-2 + D)*mZ^2*
          ((-2 + D)*s + 2*(-3 + D)*t) + mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*t))*PaVe[0, {0, mH^2 - s - t, 0, t, 0, mH^2}, 
         {0, mZ^2, 0, mZ^2}])/(8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*
        (-mH^2 + s + t)) - (cosW*EL^4*mZ*Pi^2*
        (cosW^4*(-2 + D)*mZ^4*(mH^2 - s)*((-2 + D)*mH^2 - (-2 + D)*s - 
           2*(-3 + D)*t) + s*(-mH^2 + s + t)^2*((-2 + D)^2*s + 
           4*(-3 + D)*t) - 2*cosW^2*mZ^2*(mH^2 - s - t)*
          (mH^2*((-2 + D)^2*s + 2*(-3 + D)*t) + s*(-((-2 + D)^2*s) + 
             (4 + D - D^2)*t)))*PaVe[0, {0, mH^2 - s - t, mH^2, s, 0, 0}, 
         {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*
        (-3 + D)*s*t^2*(-mH^2 + s + t)) - 
      (cosW*EL^4*mZ*Pi^2*(s*t^2*(4*(-3 + D)*mH^2 + (4 + 2*D - D^2)*s - 
           4*(-3 + D)*t) + cosW^4*(-2 + D)*mZ^4*(mH^2 - s)*
          ((-2 + D)*mH^2 - (-2 + D)*s - 2*(-3 + D)*t) + 
         2*cosW^2*mZ^2*t*(-2*(-3 + D)*mH^4 + mH^2*((-14 + 5*D)*s + 
             2*(-3 + D)*t) + s*((8 - 3*D)*s + (16 - 9*D + D^2)*t)))*
        PaVe[0, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
          cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*t^2*
        (-mH^2 + s + t)) - (2*cosW*EL^4*mZ*Pi^2*
        PaVe[0, {mH^2, 0, 0, 0, s, t}, {cosW^2*mZ^2, cosW^2*mZ^2, 
          cosW^2*mZ^2, 0}])/(1 - cosW^2)^(3/2))/(16*Pi^4);
 
b2FCr = ((32*EL^4*mt^2*Pi^2*((-4 + D)*mH^2 - (-2 + D)*s)*
        PaVe[0, {mH^2}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2*s) - (2*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^2*
        ((-4 + D)*mH^2 - (-2 + D)*s)*PaVe[0, {mH^2}, {mt^2, mt^2}])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      ((-2 + D)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*PaVe[0, {mH^2}, {mZ^2, mZ^2}])/
       (2*cosW^3*(1 - cosW^2)^(3/2)*(mH^2 - t)*(mH^2 - s - t)) + 
      (EL^4*Pi^2*(cosW^2*(mH^4*((-2 + D)^2*mZ^2*s + 2*(-4 + D)*(mH^2 - t)*
              (mH^2 - s - t)) - 2*mH^2*(mZ^2*((-2 + D)^2*s^2 + 2*
                (4 - 5*D + D^2)*s*(mH^2 - s - t) + 2*(4 - 5*D + D^2)*
                (mH^2 - s - t)^2) + (-2 + D)*s*(mH^2 - t)*(mH^2 - s - t)) + 
           (-2 + D)*mZ^2*s*((-2 + D)*s^2 + 4*(-1 + D)*s*(mH^2 - s - t) + 
             4*(-1 + D)*(mH^2 - s - t)^2)) - 2*mH^2*((-4 + D)*mH^2 - 
           (-2 + D)*s)*(mH^2 - t)*(mH^2 - s - t) + 4*cosW^4*(-1 + D)*mZ^2*
          ((-4 + D)*mH^2 - (-2 + D)*s)*(mH^2 - t)*(mH^2 - s - t))*
        PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*(1 - cosW^2)^(3/2)*
        (-2 + D)*mZ*(mH^2 - s)^2*s*(mH^2 - t)*(mH^2 - s - t)) + 
      ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*((-4 + D)*mH^2 - 
         (-2 + D)*s)*PaVe[0, {mH^2}, {cosW^2*mZ^2, cosW^2*mZ^2}])/
       (2*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (64*EL^4*mt^2*Pi^2*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)^2) - (4*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        Pi^2*s*PaVe[0, {s}, {mt^2, mt^2}])/(9*cosW^3*(1 - cosW^2)^(3/2)*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (4*EL^4*(mH^2 + 2*cosW^2*(-1 + D)*mZ^2)*Pi^2*PaVe[0, {s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*Sqrt[1 - cosW^2]*(-2 + D)*mZ*
        (mH^2 - s)^2) + ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + D))*mZ^2)*Pi^2*s*
        PaVe[0, {s}, {cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW^3*(1 - cosW^2)^(3/2)*
        (-2 + D)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      ((-2 + D)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*PaVe[0, {t}, {0, mZ^2}])/
       (2*cosW^3*(1 - cosW^2)^(3/2)*(mH^2 - t)*(mH^2 - s - t)) - 
      (cosW*(-2 + D)*EL^4*mZ*Pi^2*PaVe[0, {t}, {0, cosW^2*mZ^2}])/
       ((1 - cosW^2)^(3/2)*(mH^2 - t)*(mH^2 - s - t)) + 
      (cosW*(-2 + D)*EL^4*mZ*Pi^2*s*(-((-2 + D)*mH^2) + (-2 + D)*s + 
         2*(-3 + D)*(mH^2 - s - t))*PaVe[0, {0, 0, s}, {cosW^2*mZ^2, 0, 
          cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*(mH^2 - s - t)^2*t) + 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*((-2 + D)*mZ^2*((-2 + D)*s + 
           2*(-3 + D)*(mH^2 - s - t)) - mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) + (20 - 10*D + D^2)*(mH^2 - t)*
          (mH^2 - s - t))*PaVe[0, {0, 0, mH^2 - s - t}, {0, 0, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)*t) + 
      (cosW*EL^4*mZ*Pi^2*(cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^2 - (-2 + D)*s - 
           2*(-3 + D)*(mH^2 - s - t)) + (-4*(-3 + D)*mH^2 + 
           (-4 - 2*D + D^2)*s + 4*(-3 + D)*(mH^2 - s - t))*(mH^2 - s - t))*
        PaVe[0, {0, 0, mH^2 - s - t}, {0, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)*t) + 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*((-2 + D)*mZ^2*((-2 + D)*s + 
           2*(-3 + D)*(mH^2 - s - t)) - mH^2*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) + (20 - 10*D + D^2)*(mH^2 - t)*
          (mH^2 - s - t))*PaVe[0, {0, 0, t}, {0, 0, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)^2) - 
      (cosW*EL^4*mZ*Pi^2*(-(cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^2 - 
            (-2 + D)*s - 2*(-3 + D)*(mH^2 - s - t))) + 
         ((-2 + D)^2*s + 4*(-3 + D)*(mH^2 - s - t))*t)*
        PaVe[0, {0, 0, t}, {0, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)^2) + 
      (16*EL^4*mt^2*Pi^2*((-2 + D)*mH^2 - 8*mt^2 - (-2 + D)*s)*
        PaVe[0, {0, mH^2, s}, {mt^2, mt^2, mt^2}])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + D)*mZ*(mH^2 - s)*s) - ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        Pi^2*(-((-2 + D)*mH^2) + 8*mt^2 + (-2 + D)*s)*PaVe[0, {0, mH^2, s}, 
         {mt^2, mt^2, mt^2}])/(9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + D)*mZ*
        (-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (cosW*EL^4*mZ*Pi^2*(-((-2 + D)*mH^6*((-2 + D)^2*s + 
            8*(-3 + D)*(mH^2 - s - t))) + mH^4*(3*(-2 + D)^3*s^2 + 
           2*(60 - 44*D + 5*D^2 + D^3)*s*(mH^2 - s - t) + 
           8*(66 - 49*D + 9*D^2)*(mH^2 - s - t)^2) + 
         2*cosW^2*((-2 + D)^3*mH^6*mZ^2 + 
           mH^4*(-((-2 + D)^2*mZ^2*(3*(-2 + D)*s + 2*(-3 + D)*(mH^2 - s - 
                  t))) - 16*(15 - 11*D + 2*D^2)*(mH^2 - s - t)^2) + 
           mH^2*(mZ^2*(3*(-2 + D)^3*s^2 + 4*(-3 + D)*(-2 + D)^2*s*
                (mH^2 - s - t) - 32*(3 - 4*D + D^2)*(mH^2 - s - t)^2) + 
             16*(-3 + D)*((-9 + 4*D)*s + (-5 + 2*D)*(mH^2 - s - t))*
              (mH^2 - s - t)^2) + mZ^2*(-((-2 + D)^3*s^3) - 
             2*(-3 + D)*(-2 + D)^2*s^2*(mH^2 - s - t) + 32*(3 - 4*D + D^2)*s*
              (mH^2 - s - t)^2 + 32*(3 - 4*D + D^2)*(mH^2 - s - t)^3) - 
           32*(6 - 5*D + D^2)*s*(mH^2 - t)*(mH^2 - s - t)^2) + 
         (-2 + D)*s*((-2 + D)^2*s^3 + 2*(-6 - D + D^2)*s^2*(mH^2 - s - t) + 
           72*(-3 + D)*s*(mH^2 - s - t)^2 + 64*(-3 + D)*(mH^2 - s - t)^3) - 
         mH^2*(3*(-2 + D)^3*s^3 + 4*(24 - 14*D - D^2 + D^3)*s^2*
            (mH^2 - s - t) + 16*(60 - 47*D + 9*D^2)*s*(mH^2 - s - t)^2 + 
           32*(15 - 11*D + 2*D^2)*(mH^2 - s - t)^3) + 
         64*cosW^4*(3 - 4*D + D^2)*mZ^2*(mH^2 - s - t)^2*t)*
        PaVe[0, {0, mH^2, s}, {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/
       (4*(1 - cosW^2)^(3/2)*(-3 + D)*(-2 + D)*(mH^2 - s)*s*(mH^2 - s - t)^2*
        t) + (2*(-1 + 2*cosW^2)*EL^4*mZ*Pi^2*((-3 + cosW^2*(10 - 4*D) + D)*
          mH^2 + 4*cosW^4*(-1 + D)*mZ^2 - (-2 + D)*s - 
         2*cosW^2*(mZ^2 + 4*s - 2*D*s))*PaVe[0, {0, mH^2, s}, 
         {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2}])/(cosW*(1 - cosW^2)^(3/2)*
        (-2 + D)*(-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*(mH^4*((-2 + D)^2*mZ^2 + 
           (20 - 10*D + D^2)*(mH^2 - s - t)) - 
         mH^2*((-2 + D)*mZ^2*((-2 + D)*s + (-8 + 3*D)*(mH^2 - s - t)) + 
           (20 - 10*D + D^2)*(2*mH^2 - s - 2*t)*(mH^2 - s - t)) + 
         ((-2 + D)*mZ^2*((-10 + 3*D)*s + 2*(-3 + D)*(mH^2 - s - t)) + 
           (20 - 10*D + D^2)*(mH^2 - t)*(mH^2 - s - t))*(mH^2 - s - t))*
        PaVe[0, {0, mH^2, mH^2 - s - t}, {0, mZ^2, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)^2*t) + 
      (cosW*EL^4*mZ*Pi^2*(cosW^2*(-2 + D)*mZ^2*((-2 + D)*mH^4 + 
           mH^2*(-((-2 + D)*s) + (8 - 3*D)*(mH^2 - s - t)) + 
           ((-10 + 3*D)*s + 2*(-3 + D)*(mH^2 - s - t))*(mH^2 - s - t)) - 
         (4*(-3 + D)*mH^2 + (20 - 10*D + D^2)*s - 4*(-3 + D)*(mH^2 - s - t))*
          (mH^2 - s - t)*(s + t))*PaVe[0, {0, mH^2, mH^2 - s - t}, 
         {0, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*
        (mH^2 - s - t)^2*t) - (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (mH^2*((-2 + D)*mZ^2*((-2 + D)*s^2 + 4*(-3 + D)*s*(mH^2 - s - t) - 
             (-2 + D)*(mH^2 - s - t)^2) - ((-4 - 2*D + D^2)*s + 
             (20 - 10*D + D^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t)) + 
         (-((-2 + D)*mZ^2*((-2 + D)*s^2 + (-8 + 3*D)*s*(mH^2 - s - t) - 
              2*(-3 + D)*(mH^2 - s - t)^2)) + ((-4 - 2*D + D^2)*s + 
             (20 - 10*D + D^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t))*
          (mH^2 - t))*PaVe[0, {0, mH^2, t}, {0, mZ^2, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - t)*(mH^2 - s - t)^2*
        t) + (cosW*EL^4*mZ*Pi^2*(-(cosW^2*(-2 + D)*mZ^2*
           (mH^2*((-2 + D)*s^2 + 4*(-3 + D)*s*(mH^2 - s - t) - 
              (-2 + D)*(mH^2 - s - t)^2) - ((-2 + D)*s^2 + (-8 + 3*D)*s*(
                mH^2 - s - t) - 2*(-3 + D)*(mH^2 - s - t)^2)*(mH^2 - t))) + 
         ((-2 + D)^2*s^2 + (-8 + D^2)*s*(mH^2 - s - t) - 
           4*(-3 + D)*(mH^2 - s - t)^2)*(mH^2 - t)*t)*PaVe[0, {0, mH^2, t}, 
         {0, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*
        (mH^2 - t)*(mH^2 - s - t)^2*t) + 
      (cosW*EL^4*mZ*Pi^2*(cosW^4*(-2 + D)*mZ^4*(mH^2 - s)*
          ((-2 + D)*mH^2 - (-2 + D)*s - 2*(-3 + D)*(mH^2 - s - t)) + 
         2*cosW^2*mZ^2*(-2*(-3 + D)*mH^4 + mH^2*((-14 + 5*D)*s + 
             2*(-3 + D)*(mH^2 - s - t)) + s*((8 - 3*D)*s + (16 - 9*D + D^2)*
              (mH^2 - s - t)))*(mH^2 - s - t) + 
         s*(4*(-3 + D)*mH^2 + (4 + 2*D - D^2)*s - 4*(-3 + D)*(mH^2 - s - t))*
          (mH^2 - s - t)^2)*PaVe[0, {0, mH^2 - s - t, mH^2, s, 0, 0}, 
         {cosW^2*mZ^2, 0, cosW^2*mZ^2, cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*
        (-3 + D)*s*(mH^2 - s - t)^2*t) - (EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (-((-2 + D)*mZ^2*((-2 + D)*s + 2*(-3 + D)*(mH^2 - s - t))) + 
         mH^2*((-2 + D)^2*mZ^2 + (20 - 10*D + D^2)*(mH^2 - s - t)) - 
         (20 - 10*D + D^2)*(mH^2 - t)*(mH^2 - s - t))*
        (-(mZ^2*s) + (mH^2 - t)*(mH^2 - s - t) + mH^2*(-mH^2 + mZ^2 + s + t))*
        PaVe[0, {0, t, 0, mH^2 - s - t, 0, mH^2}, {0, mZ^2, 0, mZ^2}])/
       (8*cosW^3*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)^2*t) + 
      (cosW*EL^4*mZ*Pi^2*(cosW^4*(-2 + D)*mZ^4*(mH^2 - s)*
          ((-2 + D)*mH^2 - (-2 + D)*s - 2*(-3 + D)*(mH^2 - s - t)) - 
         2*cosW^2*mZ^2*(mH^2*((-2 + D)^2*s + 2*(-3 + D)*(mH^2 - s - t)) + 
           s*(-((-2 + D)^2*s) + (4 + D - D^2)*(mH^2 - s - t)))*t + 
         s*((-2 + D)^2*s + 4*(-3 + D)*(mH^2 - s - t))*t^2)*
        PaVe[0, {0, t, mH^2, s, 0, 0}, {cosW^2*mZ^2, 0, cosW^2*mZ^2, 
          cosW^2*mZ^2}])/(4*(1 - cosW^2)^(3/2)*(-3 + D)*s*(mH^2 - s - t)^2*
        t) - (2*cosW*EL^4*mZ*Pi^2*PaVe[0, {mH^2, 0, 0, 0, s, mH^2 - s - t}, 
         {cosW^2*mZ^2, cosW^2*mZ^2, cosW^2*mZ^2, 0}])/(1 - cosW^2)^(3/2))/
     (16*Pi^4);
 
a1PXr = ((2^(5 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - 
         (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s) + ((-5 + 8*cosW^2)*EL^4*mt^2*
        (2*Pi)^(2 - 2*Eps)*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*
        PVB[0, 0, mH^2, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(1 - 2*Eps)*EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
      (EL^4*((-1 + 2*cosW^2)*mH^2 + 2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*
        Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*
        PVB[0, 0, mH^2, mW, mW])/(2^(2*Eps)*cosW^3*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(1 - 2*Eps)*Sqrt[1 - cosW^2]*(-2 + Dim)*EL^4*mZ*Pi^(2 - 2*Eps)*
        PVB[0, 0, mH^2, mZ, mZ])/(cosW^3*t*(s + t)) + 
      (2^(6 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*PVB[0, 0, s, mt, mt])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)^2) + 
      (2^(3 - 2*Eps)*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*(2*Pi)^(2 - 2*Eps)*
        PVB[0, 0, s, mW, mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) - (2^(1 - 2*Eps)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mW, mW])/(cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(1 - 2*Eps)*Sqrt[1 - cosW^2]*(-2 + Dim)*EL^4*mZ*Pi^(2 - 2*Eps)*
        PVB[0, 0, mH^2 - s - t, 0, mZ])/(cosW^3*t*(s + t)) + 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        ((20 - 10*Dim + Dim^2)*t*(s + t) + (-2 + Dim)*mZ^2*
          ((-2 + Dim)*s + 2*(-3 + Dim)*t) - mH^2*((-2 + Dim)^2*mZ^2 + 
           (20 - 10*Dim + Dim^2)*t))*PVC[0, 0, 0, 0, 0, mH^2 - s - t, 0, 0, 
         mZ])/(cosW^3*(-3 + Dim)*s*t^2) - (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*
        EL^4*mZ*Pi^(2 - 2*Eps)*((20 - 10*Dim + Dim^2)*t*(s + t) + 
         (-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*t) - 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*t))*
        PVC[0, 0, 0, 0, 0, t, 0, 0, mZ])/(cosW^3*(-3 + Dim)*s*t*
        (-mH^2 + s + t)) + (2^(4 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        ((-2 + Dim)*mH^2 - 8*mt^2 - (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         mt, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)*s) + 
      (2^(1 - 2*Eps)*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         mt, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*mZ*(2*Pi)^(2 - 2*Eps)*((-3 + cosW^2*(10 - 4*Dim) + Dim)*mH^2 + 
         4*cosW^4*(-1 + Dim)*mZ^2 - (-2 + Dim)*s - 
         2*cosW^2*(mZ^2 + 4*s - 2*Dim*s))*PVC[0, 0, 0, 0, mH^2, s, mW, mW, 
         mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(3 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*((5 - 2*Dim)*mH^2 + 
         2*cosW^2*(-1 + Dim)*mZ^2 + 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         cosW*mZ, cosW*mZ, cosW*mZ])/(Sqrt[1 - cosW^2]*(-2 + Dim)*(mH^2 - s)*
        s) + (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        ((s + t)*(t*(s + t)*((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*
              t) - (-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + (-8 + 3*Dim)*s*t - 
             2*(-3 + Dim)*t^2)) + 
         mH^2*(-(t*(s + t)*((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*
               t)) + (-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + 4*(-3 + Dim)*s*t - 
             (-2 + Dim)*t^2)))*PVC[0, 0, 0, 0, mH^2, mH^2 - s - t, 0, mZ, 
         mZ])/(cosW^3*(-3 + Dim)*s*t^2*(s + t)*(-mH^2 + s + t)) - 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        (mH^4*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*t) + 
         t*((20 - 10*Dim + Dim^2)*t*(s + t) + (-2 + Dim)*mZ^2*
            ((-10 + 3*Dim)*s + 2*(-3 + Dim)*t)) - 
         mH^2*((20 - 10*Dim + Dim^2)*t*(s + 2*t) + (-2 + Dim)*mZ^2*
            ((-2 + Dim)*s + (-8 + 3*Dim)*t)))*PVC[0, 0, 0, 0, mH^2, t, 0, mZ, 
         mZ])/(cosW^3*(-3 + Dim)*s*t^2*(-mH^2 + s + t)) + 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        (-(mZ^2*s) + mH^2*(mZ^2 - t) + t*(s + t))*
        (-((20 - 10*Dim + Dim^2)*t*(s + t)) - (-2 + Dim)*mZ^2*
          ((-2 + Dim)*s + 2*(-3 + Dim)*t) + mH^2*((-2 + Dim)^2*mZ^2 + 
           (20 - 10*Dim + Dim^2)*t))*PVD[0, 0, 0, 0, 0, mH^2 - s - t, 0, t, 
         0, mH^2, 0, mZ, 0, mZ])/(cosW^3*(-3 + Dim)*s*t^2*(-mH^2 + s + t)))/
     (16*Pi^4);
 
a2PXr = ((2^(5 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - 
         (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s) + ((-5 + 8*cosW^2)*EL^4*mt^2*
        (2*Pi)^(2 - 2*Eps)*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*
        PVB[0, 0, mH^2, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(1 - 2*Eps)*EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
       (cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
      (EL^4*((-1 + 2*cosW^2)*mH^2 + 2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*
        Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*
        PVB[0, 0, mH^2, mW, mW])/(2^(2*Eps)*cosW^3*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(1 - 2*Eps)*Sqrt[1 - cosW^2]*(-2 + Dim)*EL^4*mZ*Pi^(2 - 2*Eps)*
        PVB[0, 0, mH^2, mZ, mZ])/(cosW^3*(mH^2 - t)*(mH^2 - s - t)) + 
      (2^(6 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*PVB[0, 0, s, mt, mt])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)^2) + 
      (2^(3 - 2*Eps)*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*(2*Pi)^(2 - 2*Eps)*
        PVB[0, 0, s, mW, mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) - (2^(1 - 2*Eps)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mW, mW])/(cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(1 - 2*Eps)*Sqrt[1 - cosW^2]*(-2 + Dim)*EL^4*mZ*Pi^(2 - 2*Eps)*
        PVB[0, 0, t, 0, mZ])/(cosW^3*(mH^2 - t)*(mH^2 - s - t)) + 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        ((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) - 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) + 
         (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, 0, mH^2 - s - t, 0, 0, mZ])/(cosW^3*(-3 + Dim)*s*
        (mH^2 - s - t)*t) + (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*
        Pi^(2 - 2*Eps)*((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*
            (mH^2 - s - t)) - mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*
            (mH^2 - s - t)) + (20 - 10*Dim + Dim^2)*(mH^2 - t)*
          (mH^2 - s - t))*PVC[0, 0, 0, 0, 0, t, 0, 0, mZ])/
       (cosW^3*(-3 + Dim)*s*(mH^2 - s - t)^2) + 
      (2^(4 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-2 + Dim)*mH^2 - 8*mt^2 - 
         (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)*s) + 
      (2^(1 - 2*Eps)*(-5 + 8*cosW^2)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         mt, mt, mt])/(9*cosW^3*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*mZ*(2*Pi)^(2 - 2*Eps)*((-3 + cosW^2*(10 - 4*Dim) + Dim)*mH^2 + 
         4*cosW^4*(-1 + Dim)*mZ^2 - (-2 + Dim)*s - 
         2*cosW^2*(mZ^2 + 4*s - 2*Dim*s))*PVC[0, 0, 0, 0, mH^2, s, mW, mW, 
         mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(3 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*((5 - 2*Dim)*mH^2 + 
         2*cosW^2*(-1 + Dim)*mZ^2 + 2*(-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         cosW*mZ, cosW*mZ, cosW*mZ])/(Sqrt[1 - cosW^2]*(-2 + Dim)*(mH^2 - s)*
        s) + (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        (mH^4*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) - 
         mH^2*((-2 + Dim)*mZ^2*((-2 + Dim)*s + (-8 + 3*Dim)*(mH^2 - s - t)) + 
           (20 - 10*Dim + Dim^2)*(2*mH^2 - s - 2*t)*(mH^2 - s - t)) + 
         ((-2 + Dim)*mZ^2*((-10 + 3*Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) + 
           (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, mH^2, mH^2 - s - t, 0, mZ, mZ])/
       (cosW^3*(-3 + Dim)*s*(mH^2 - s - t)^2*t) - 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        (mH^2*((-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + 4*(-3 + Dim)*s*
              (mH^2 - s - t) - (-2 + Dim)*(mH^2 - s - t)^2) - 
           ((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*(mH^2 - s - t))*
            (mH^2 - t)*(mH^2 - s - t)) + 
         (-((-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + (-8 + 3*Dim)*s*(mH^2 - s - t) - 
              2*(-3 + Dim)*(mH^2 - s - t)^2)) + ((-4 - 2*Dim + Dim^2)*s + 
             (20 - 10*Dim + Dim^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t))*
          (mH^2 - t))*PVC[0, 0, 0, 0, mH^2, t, 0, mZ, mZ])/
       (cosW^3*(-3 + Dim)*s*(mH^2 - t)*(mH^2 - s - t)^2*t) - 
      (2^(-1 - 2*Eps)*Sqrt[1 - cosW^2]*EL^4*mZ*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t))) + 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) - 
         (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*
        (-(mZ^2*s) + (mH^2 - t)*(mH^2 - s - t) + mH^2*(-mH^2 + mZ^2 + s + t))*
        PVD[0, 0, 0, 0, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, mZ, 0, mZ])/
       (cosW^3*(-3 + Dim)*s*(mH^2 - s - t)^2*t))/(16*Pi^4);
 
b1PXr = ((2^(5 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - 
         (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
      (2^(1 - 2*Eps)*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (EL^4*Pi^(2 - 2*Eps)*(-2*mH^2*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*t*
          (s + t) + 4*cosW^4*(-1 + Dim)*mZ^2*((-4 + Dim)*mH^2 - (-2 + Dim)*s)*
          t*(s + t) + cosW^2*((-2 + Dim)*mZ^2*s*((-2 + Dim)*s^2 + 
             4*(-1 + Dim)*s*t + 4*(-1 + Dim)*t^2) + 
           mH^4*((-2 + Dim)^2*mZ^2*s + 2*(-4 + Dim)*t*(s + t)) - 
           2*mH^2*((-2 + Dim)*s*t*(s + t) + mZ^2*((-2 + Dim)^2*s^2 + 2*
                (4 - 5*Dim + Dim^2)*s*t + 2*(4 - 5*Dim + Dim^2)*t^2))))*
        PVB[0, 0, mH^2, mW, mW])/(2^(2*Eps)*cosW*(1 - cosW^2)^(3/2)*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s*t*(s + t)) + 
      (2^(-1 - 2*Eps)*(-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(-1 - 2*Eps)*(-2 + Dim)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        PVB[0, 0, mH^2, mZ, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*Pi^(2*Eps)*t*
        (s + t)) + (2^(6 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        PVB[0, 0, s, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) - ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        (2*Pi)^(2 - 2*Eps)*s*PVB[0, 0, s, mt, mt])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*(2*Pi)^(2 - 2*Eps)*
        PVB[0, 0, s, mW, mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) + ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mW, mW])/(2^(2*Eps)*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*
        mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      ((-2 + Dim)*EL^4*mW*Pi^(2 - 2*Eps)*PVB[0, 0, mH^2 - s - t, 0, mW])/
       (2^(2*Eps)*(1 - cosW^2)^(3/2)*t*(s + t)) - 
      (2^(-1 - 2*Eps)*(-2 + Dim)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        PVB[0, 0, mH^2 - s - t, 0, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*Pi^(2*Eps)*
        t*(s + t)) - (2^(-2 - 2*Eps)*(-2 + Dim)*EL^4*mW*Pi^(2 - 2*Eps)*s*
        (-((-2 + Dim)*mH^2) + (-2 + Dim)*s + 2*(-3 + Dim)*t)*
        PVC[0, 0, 0, 0, 0, s, mW, 0, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*t^2*
        (-mH^2 + s + t)) + (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((20 - 10*Dim + Dim^2)*t*(s + t) + (-2 + Dim)*mZ^2*
          ((-2 + Dim)*s + 2*(-3 + Dim)*t) - mH^2*((-2 + Dim)^2*mZ^2 + 
           (20 - 10*Dim + Dim^2)*t))*PVC[0, 0, 0, 0, 0, mH^2 - s - t, 0, 0, 
         mZ])/(cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*t^2) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (-(cosW^2*(-2 + Dim)*mZ^2*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
            2*(-3 + Dim)*t)) + (mH^2 - s - t)*((-2 + Dim)^2*s + 
           4*(-3 + Dim)*t))*PVC[0, 0, 0, 0, 0, mH^2 - s - t, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t^2) - 
      (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((20 - 10*Dim + Dim^2)*t*(s + t) + (-2 + Dim)*mZ^2*
          ((-2 + Dim)*s + 2*(-3 + Dim)*t) - mH^2*((-2 + Dim)^2*mZ^2 + 
           (20 - 10*Dim + Dim^2)*t))*PVC[0, 0, 0, 0, 0, t, 0, 0, mZ])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*t*
        (-mH^2 + s + t)) - (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (cosW^2*(-2 + Dim)*mZ^2*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
           2*(-3 + Dim)*t) + t*(-4*(-3 + Dim)*mH^2 + (-4 - 2*Dim + Dim^2)*s + 
           4*(-3 + Dim)*t))*PVC[0, 0, 0, 0, 0, t, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t*(-mH^2 + s + t)) + 
      (2^(4 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-2 + Dim)*mH^2 - 8*mt^2 - 
         (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)*s) - 
      ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         mt, mt, mt])/(9*2^(2*Eps)*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*
        (-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*(64*cosW^4*(3 - 4*Dim + Dim^2)*
          mZ^2*(mH^2 - s - t)*t^2 - (-2 + Dim)*mH^6*((-2 + Dim)^2*s + 
           8*(-3 + Dim)*t) + mH^4*(3*(-2 + Dim)^3*s^2 + 
           2*(60 - 44*Dim + 5*Dim^2 + Dim^3)*s*t + 8*(66 - 49*Dim + 9*Dim^2)*
            t^2) + (-2 + Dim)*s*((-2 + Dim)^2*s^3 + 2*(-6 - Dim + Dim^2)*s^2*
            t + 72*(-3 + Dim)*s*t^2 + 64*(-3 + Dim)*t^3) - 
         mH^2*(3*(-2 + Dim)^3*s^3 + 4*(24 - 14*Dim - Dim^2 + Dim^3)*s^2*t + 
           16*(60 - 47*Dim + 9*Dim^2)*s*t^2 + 32*(15 - 11*Dim + 2*Dim^2)*
            t^3) + 2*cosW^2*((-2 + Dim)^3*mH^6*mZ^2 - 32*(6 - 5*Dim + Dim^2)*
            s*t^2*(s + t) + mZ^2*(-((-2 + Dim)^3*s^3) - 2*(-3 + Dim)*
              (-2 + Dim)^2*s^2*t + 32*(3 - 4*Dim + Dim^2)*s*t^2 + 
             32*(3 - 4*Dim + Dim^2)*t^3) + mH^4*(-16*(15 - 11*Dim + 2*Dim^2)*
              t^2 - (-2 + Dim)^2*mZ^2*(3*(-2 + Dim)*s + 2*(-3 + Dim)*t)) + 
           mH^2*(16*(-3 + Dim)*t^2*((-9 + 4*Dim)*s + (-5 + 2*Dim)*t) + 
             mZ^2*(3*(-2 + Dim)^3*s^2 + 4*(-3 + Dim)*(-2 + Dim)^2*s*t - 32*
                (3 - 4*Dim + Dim^2)*t^2))))*PVC[0, 0, 0, 0, mH^2, s, mW, mW, 
         mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*(-2 + Dim)*(mH^2 - s)*s*
        (mH^2 - s - t)*t^2) + (2^(1 - 2*Eps)*(-1 + 2*cosW^2)*EL^4*mZ*
        Pi^(2 - 2*Eps)*((-3 + cosW^2*(10 - 4*Dim) + Dim)*mH^2 + 
         4*cosW^4*(-1 + Dim)*mZ^2 - (-2 + Dim)*s - 
         2*cosW^2*(mZ^2 + 4*s - 2*Dim*s))*PVC[0, 0, 0, 0, mH^2, s, mW, mW, 
         mW])/(cosW*(1 - cosW^2)^(3/2)*(-2 + Dim)*(-mH^2 + s)*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*((mH^2 - s - t)*(s + t)*
          ((-2 + Dim)^2*s^2 + (-8 + Dim^2)*s*t - 4*(-3 + Dim)*t^2) - 
         cosW^2*(-2 + Dim)*mZ^2*(-((s + t)*((-2 + Dim)*s^2 + 
              (-8 + 3*Dim)*s*t - 2*(-3 + Dim)*t^2)) + 
           mH^2*((-2 + Dim)*s^2 + 4*(-3 + Dim)*s*t - (-2 + Dim)*t^2)))*
        PVC[0, 0, 0, 0, mH^2, mH^2 - s - t, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t^2*(s + t)*(-mH^2 + s + t)) + 
      (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((s + t)*(t*(s + t)*((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*
              t) - (-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + (-8 + 3*Dim)*s*t - 
             2*(-3 + Dim)*t^2)) + 
         mH^2*(-(t*(s + t)*((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*
               t)) + (-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + 4*(-3 + Dim)*s*t - 
             (-2 + Dim)*t^2)))*PVC[0, 0, 0, 0, mH^2, mH^2 - s - t, 0, mZ, 
         mZ])/(cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*t^2*(s + t)*
        (-mH^2 + s + t)) - (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (-((mH^2 - t)*t*(4*(-3 + Dim)*mH^2 + (20 - 10*Dim + Dim^2)*s - 
            4*(-3 + Dim)*t)) + cosW^2*(-2 + Dim)*mZ^2*((-2 + Dim)*mH^4 + 
           mH^2*(-((-2 + Dim)*s) + (8 - 3*Dim)*t) + 
           t*((-10 + 3*Dim)*s + 2*(-3 + Dim)*t)))*PVC[0, 0, 0, 0, mH^2, t, 0, 
         mW, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t^2*(-mH^2 + s + t)) - 
      (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (mH^4*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*t) + 
         t*((20 - 10*Dim + Dim^2)*t*(s + t) + (-2 + Dim)*mZ^2*
            ((-10 + 3*Dim)*s + 2*(-3 + Dim)*t)) - 
         mH^2*((20 - 10*Dim + Dim^2)*t*(s + 2*t) + (-2 + Dim)*mZ^2*
            ((-2 + Dim)*s + (-8 + 3*Dim)*t)))*PVC[0, 0, 0, 0, mH^2, t, 0, mZ, 
         mZ])/(cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*t^2*
        (-mH^2 + s + t)) + (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (-(mZ^2*s) + mH^2*(mZ^2 - t) + t*(s + t))*
        (-((20 - 10*Dim + Dim^2)*t*(s + t)) - (-2 + Dim)*mZ^2*
          ((-2 + Dim)*s + 2*(-3 + Dim)*t) + mH^2*((-2 + Dim)^2*mZ^2 + 
           (20 - 10*Dim + Dim^2)*t))*PVD[0, 0, 0, 0, 0, mH^2 - s - t, 0, t, 
         0, mH^2, 0, mZ, 0, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*
        Pi^(2*Eps)*s*t^2*(-mH^2 + s + t)) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*(cosW^4*(-2 + Dim)*mZ^4*
          (mH^2 - s)*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 2*(-3 + Dim)*t) + 
         s*(-mH^2 + s + t)^2*((-2 + Dim)^2*s + 4*(-3 + Dim)*t) - 
         2*cosW^2*mZ^2*(mH^2 - s - t)*(mH^2*((-2 + Dim)^2*s + 
             2*(-3 + Dim)*t) + s*(-((-2 + Dim)^2*s) + (4 + Dim - Dim^2)*t)))*
        PVD[0, 0, 0, 0, 0, mH^2 - s - t, mH^2, s, 0, 0, mW, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t^2*(-mH^2 + s + t)) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (s*t^2*(4*(-3 + Dim)*mH^2 + (4 + 2*Dim - Dim^2)*s - 4*(-3 + Dim)*t) + 
         cosW^4*(-2 + Dim)*mZ^4*(mH^2 - s)*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
           2*(-3 + Dim)*t) + 2*cosW^2*mZ^2*t*(-2*(-3 + Dim)*mH^4 + 
           mH^2*((-14 + 5*Dim)*s + 2*(-3 + Dim)*t) + 
           s*((8 - 3*Dim)*s + (16 - 9*Dim + Dim^2)*t)))*
        PVD[0, 0, 0, 0, 0, t, mH^2, s, 0, 0, mW, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*t^2*(-mH^2 + s + t)) - 
      (2^(1 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*PVD[0, 0, 0, 0, mH^2, 0, 0, 0, s, 
         t, mW, mW, mW, 0])/(1 - cosW^2)^(3/2))/(16*Pi^4);
 
b2PXr = ((2^(5 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-4 + Dim)*mH^2 - 
         (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s) - 
      (2^(1 - 2*Eps)*(5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mt, mt])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (EL^4*Pi^(2 - 2*Eps)*(cosW^2*(mH^4*((-2 + Dim)^2*mZ^2*s + 
             2*(-4 + Dim)*(mH^2 - t)*(mH^2 - s - t)) - 
           2*mH^2*(mZ^2*((-2 + Dim)^2*s^2 + 2*(4 - 5*Dim + Dim^2)*s*
                (mH^2 - s - t) + 2*(4 - 5*Dim + Dim^2)*(mH^2 - s - t)^2) + 
             (-2 + Dim)*s*(mH^2 - t)*(mH^2 - s - t)) + (-2 + Dim)*mZ^2*s*
            ((-2 + Dim)*s^2 + 4*(-1 + Dim)*s*(mH^2 - s - t) + 
             4*(-1 + Dim)*(mH^2 - s - t)^2)) - 2*mH^2*((-4 + Dim)*mH^2 - 
           (-2 + Dim)*s)*(mH^2 - t)*(mH^2 - s - t) + 4*cosW^4*(-1 + Dim)*mZ^2*
          ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*(mH^2 - t)*(mH^2 - s - t))*
        PVB[0, 0, mH^2, mW, mW])/(2^(2*Eps)*cosW*(1 - cosW^2)^(3/2)*
        (-2 + Dim)*mZ*(mH^2 - s)^2*s*(mH^2 - t)*(mH^2 - s - t)) + 
      (2^(-1 - 2*Eps)*(-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*
        ((-4 + Dim)*mH^2 - (-2 + Dim)*s)*PVB[0, 0, mH^2, mW, mW])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(-1 - 2*Eps)*(-2 + Dim)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        PVB[0, 0, mH^2, mZ, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*Pi^(2*Eps)*
        (mH^2 - t)*(mH^2 - s - t)) + (2^(6 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        PVB[0, 0, s, mt, mt])/(9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) - ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*
        (2*Pi)^(2 - 2*Eps)*s*PVB[0, 0, s, mt, mt])/
       (9*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*(mH^2 - s)^2*
        (mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (EL^4*(mH^2 + 2*cosW^2*(-1 + Dim)*mZ^2)*(2*Pi)^(2 - 2*Eps)*
        PVB[0, 0, s, mW, mW])/(cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*
        (mH^2 - s)^2) + ((-1 + 2*cosW^2)*EL^4*((-1 + 2*cosW^2)*mH^2 + 
         2*cosW^2*(-1 + 2*cosW^2*(-1 + Dim))*mZ^2)*Pi^(2 - 2*Eps)*s*
        PVB[0, 0, s, mW, mW])/(2^(2*Eps)*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*
        mZ*(mH^2 - s)^2*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      ((-2 + Dim)*EL^4*mW*Pi^(2 - 2*Eps)*PVB[0, 0, t, 0, mW])/
       (2^(2*Eps)*(1 - cosW^2)^(3/2)*(mH^2 - t)*(mH^2 - s - t)) - 
      (2^(-1 - 2*Eps)*(-2 + Dim)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        PVB[0, 0, t, 0, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*Pi^(2*Eps)*(mH^2 - t)*
        (mH^2 - s - t)) + (2^(-2 - 2*Eps)*(-2 + Dim)*EL^4*mW*Pi^(2 - 2*Eps)*s*
        (-((-2 + Dim)*mH^2) + (-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, 0, s, mW, 0, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*
        (mH^2 - s - t)^2*t) + (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) - 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) + 
         (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, 0, mH^2 - s - t, 0, 0, mZ])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*(mH^2 - s - t)*t) + 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*(cosW^2*(-2 + Dim)*mZ^2*
          ((-2 + Dim)*mH^2 - (-2 + Dim)*s - 2*(-3 + Dim)*(mH^2 - s - t)) + 
         (-4*(-3 + Dim)*mH^2 + (-4 - 2*Dim + Dim^2)*s + 4*(-3 + Dim)*
            (mH^2 - s - t))*(mH^2 - s - t))*PVC[0, 0, 0, 0, 0, mH^2 - s - t, 
         0, mW, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*s*(mH^2 - s - t)*t) + 
      (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        ((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) - 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) + 
         (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, 0, t, 0, 0, mZ])/(cosW^3*(1 - cosW^2)^(3/2)*
        (-3 + Dim)*Pi^(2*Eps)*s*(mH^2 - s - t)^2) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (-(cosW^2*(-2 + Dim)*mZ^2*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
            2*(-3 + Dim)*(mH^2 - s - t))) + ((-2 + Dim)^2*s + 
           4*(-3 + Dim)*(mH^2 - s - t))*t)*PVC[0, 0, 0, 0, 0, t, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*(mH^2 - s - t)^2) + 
      (2^(4 - 2*Eps)*EL^4*mt^2*Pi^(2 - 2*Eps)*((-2 + Dim)*mH^2 - 8*mt^2 - 
         (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, mt, mt, mt])/
       (9*cosW*Sqrt[1 - cosW^2]*(-2 + Dim)*mZ*(mH^2 - s)*s) - 
      ((5 - 18*cosW^2 + 16*cosW^4)*EL^4*mt^2*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mH^2) + 8*mt^2 + (-2 + Dim)*s)*PVC[0, 0, 0, 0, mH^2, s, 
         mt, mt, mt])/(9*2^(2*Eps)*cosW^3*(1 - cosW^2)^(3/2)*(-2 + Dim)*mZ*
        (-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) - 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (-((-2 + Dim)*mH^6*((-2 + Dim)^2*s + 8*(-3 + Dim)*(mH^2 - s - t))) + 
         mH^4*(3*(-2 + Dim)^3*s^2 + 2*(60 - 44*Dim + 5*Dim^2 + Dim^3)*s*
            (mH^2 - s - t) + 8*(66 - 49*Dim + 9*Dim^2)*(mH^2 - s - t)^2) + 
         2*cosW^2*((-2 + Dim)^3*mH^6*mZ^2 + 
           mH^4*(-((-2 + Dim)^2*mZ^2*(3*(-2 + Dim)*s + 2*(-3 + Dim)*
                 (mH^2 - s - t))) - 16*(15 - 11*Dim + 2*Dim^2)*
              (mH^2 - s - t)^2) + mH^2*(mZ^2*(3*(-2 + Dim)^3*s^2 + 4*
                (-3 + Dim)*(-2 + Dim)^2*s*(mH^2 - s - t) - 32*(3 - 4*Dim + 
                 Dim^2)*(mH^2 - s - t)^2) + 16*(-3 + Dim)*((-9 + 4*Dim)*s + 
               (-5 + 2*Dim)*(mH^2 - s - t))*(mH^2 - s - t)^2) + 
           mZ^2*(-((-2 + Dim)^3*s^3) - 2*(-3 + Dim)*(-2 + Dim)^2*s^2*
              (mH^2 - s - t) + 32*(3 - 4*Dim + Dim^2)*s*(mH^2 - s - t)^2 + 
             32*(3 - 4*Dim + Dim^2)*(mH^2 - s - t)^3) - 
           32*(6 - 5*Dim + Dim^2)*s*(mH^2 - t)*(mH^2 - s - t)^2) + 
         (-2 + Dim)*s*((-2 + Dim)^2*s^3 + 2*(-6 - Dim + Dim^2)*s^2*
            (mH^2 - s - t) + 72*(-3 + Dim)*s*(mH^2 - s - t)^2 + 
           64*(-3 + Dim)*(mH^2 - s - t)^3) - mH^2*(3*(-2 + Dim)^3*s^3 + 
           4*(24 - 14*Dim - Dim^2 + Dim^3)*s^2*(mH^2 - s - t) + 
           16*(60 - 47*Dim + 9*Dim^2)*s*(mH^2 - s - t)^2 + 
           32*(15 - 11*Dim + 2*Dim^2)*(mH^2 - s - t)^3) + 
         64*cosW^4*(3 - 4*Dim + Dim^2)*mZ^2*(mH^2 - s - t)^2*t)*
        PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*
        (-2 + Dim)*(mH^2 - s)*s*(mH^2 - s - t)^2*t) + 
      (2^(1 - 2*Eps)*(-1 + 2*cosW^2)*EL^4*mZ*Pi^(2 - 2*Eps)*
        ((-3 + cosW^2*(10 - 4*Dim) + Dim)*mH^2 + 4*cosW^4*(-1 + Dim)*mZ^2 - 
         (-2 + Dim)*s - 2*cosW^2*(mZ^2 + 4*s - 2*Dim*s))*
        PVC[0, 0, 0, 0, mH^2, s, mW, mW, mW])/(cosW*(1 - cosW^2)^(3/2)*
        (-2 + Dim)*(-mH^2 + s)*(mZ^2 - s - I*mZ*\[CapitalGamma]Z)) + 
      (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*(cosW^2*(-2 + Dim)*mZ^2*
          ((-2 + Dim)*mH^4 + mH^2*(-((-2 + Dim)*s) + (8 - 3*Dim)*
              (mH^2 - s - t)) + ((-10 + 3*Dim)*s + 2*(-3 + Dim)*
              (mH^2 - s - t))*(mH^2 - s - t)) - 
         (4*(-3 + Dim)*mH^2 + (20 - 10*Dim + Dim^2)*s - 4*(-3 + Dim)*
            (mH^2 - s - t))*(mH^2 - s - t)*(s + t))*PVC[0, 0, 0, 0, mH^2, 
         mH^2 - s - t, 0, mW, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*s*
        (mH^2 - s - t)^2*t) + (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (mH^4*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) - 
         mH^2*((-2 + Dim)*mZ^2*((-2 + Dim)*s + (-8 + 3*Dim)*(mH^2 - s - t)) + 
           (20 - 10*Dim + Dim^2)*(2*mH^2 - s - 2*t)*(mH^2 - s - t)) + 
         ((-2 + Dim)*mZ^2*((-10 + 3*Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) + 
           (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*(mH^2 - s - t))*
        PVC[0, 0, 0, 0, mH^2, mH^2 - s - t, 0, mZ, mZ])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*(mH^2 - s - t)^2*
        t) + (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (-(cosW^2*(-2 + Dim)*mZ^2*(mH^2*((-2 + Dim)*s^2 + 4*(-3 + Dim)*s*(
                mH^2 - s - t) - (-2 + Dim)*(mH^2 - s - t)^2) - 
            ((-2 + Dim)*s^2 + (-8 + 3*Dim)*s*(mH^2 - s - t) - 
              2*(-3 + Dim)*(mH^2 - s - t)^2)*(mH^2 - t))) + 
         ((-2 + Dim)^2*s^2 + (-8 + Dim^2)*s*(mH^2 - s - t) - 
           4*(-3 + Dim)*(mH^2 - s - t)^2)*(mH^2 - t)*t)*
        PVC[0, 0, 0, 0, mH^2, t, 0, mW, mW])/((1 - cosW^2)^(3/2)*(-3 + Dim)*s*
        (mH^2 - t)*(mH^2 - s - t)^2*t) - (2^(-3 - 2*Eps)*EL^4*mZ*
        (Pi - 2*cosW^2*Pi)^2*(mH^2*((-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + 
             4*(-3 + Dim)*s*(mH^2 - s - t) - (-2 + Dim)*(mH^2 - s - t)^2) - 
           ((-4 - 2*Dim + Dim^2)*s + (20 - 10*Dim + Dim^2)*(mH^2 - s - t))*
            (mH^2 - t)*(mH^2 - s - t)) + 
         (-((-2 + Dim)*mZ^2*((-2 + Dim)*s^2 + (-8 + 3*Dim)*s*(mH^2 - s - t) - 
              2*(-3 + Dim)*(mH^2 - s - t)^2)) + ((-4 - 2*Dim + Dim^2)*s + 
             (20 - 10*Dim + Dim^2)*(mH^2 - s - t))*(mH^2 - t)*(mH^2 - s - t))*
          (mH^2 - t))*PVC[0, 0, 0, 0, mH^2, t, 0, mZ, mZ])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*(mH^2 - t)*
        (mH^2 - s - t)^2*t) + (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (cosW^4*(-2 + Dim)*mZ^4*(mH^2 - s)*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
           2*(-3 + Dim)*(mH^2 - s - t)) + 2*cosW^2*mZ^2*(-2*(-3 + Dim)*mH^4 + 
           mH^2*((-14 + 5*Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t)) + 
           s*((8 - 3*Dim)*s + (16 - 9*Dim + Dim^2)*(mH^2 - s - t)))*
          (mH^2 - s - t) + s*(4*(-3 + Dim)*mH^2 + (4 + 2*Dim - Dim^2)*s - 
           4*(-3 + Dim)*(mH^2 - s - t))*(mH^2 - s - t)^2)*
        PVD[0, 0, 0, 0, 0, mH^2 - s - t, mH^2, s, 0, 0, mW, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*(mH^2 - s - t)^2*t) - 
      (2^(-3 - 2*Eps)*EL^4*mZ*(Pi - 2*cosW^2*Pi)^2*
        (-((-2 + Dim)*mZ^2*((-2 + Dim)*s + 2*(-3 + Dim)*(mH^2 - s - t))) + 
         mH^2*((-2 + Dim)^2*mZ^2 + (20 - 10*Dim + Dim^2)*(mH^2 - s - t)) - 
         (20 - 10*Dim + Dim^2)*(mH^2 - t)*(mH^2 - s - t))*
        (-(mZ^2*s) + (mH^2 - t)*(mH^2 - s - t) + mH^2*(-mH^2 + mZ^2 + s + t))*
        PVD[0, 0, 0, 0, 0, t, 0, mH^2 - s - t, 0, mH^2, 0, mZ, 0, mZ])/
       (cosW^3*(1 - cosW^2)^(3/2)*(-3 + Dim)*Pi^(2*Eps)*s*(mH^2 - s - t)^2*
        t) + (2^(-2 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*
        (cosW^4*(-2 + Dim)*mZ^4*(mH^2 - s)*((-2 + Dim)*mH^2 - (-2 + Dim)*s - 
           2*(-3 + Dim)*(mH^2 - s - t)) - 2*cosW^2*mZ^2*
          (mH^2*((-2 + Dim)^2*s + 2*(-3 + Dim)*(mH^2 - s - t)) + 
           s*(-((-2 + Dim)^2*s) + (4 + Dim - Dim^2)*(mH^2 - s - t)))*t + 
         s*((-2 + Dim)^2*s + 4*(-3 + Dim)*(mH^2 - s - t))*t^2)*
        PVD[0, 0, 0, 0, 0, t, mH^2, s, 0, 0, mW, 0, mW, mW])/
       ((1 - cosW^2)^(3/2)*(-3 + Dim)*s*(mH^2 - s - t)^2*t) - 
      (2^(1 - 2*Eps)*EL^4*mW*Pi^(2 - 2*Eps)*PVD[0, 0, 0, 0, mH^2, 0, 0, 0, s, 
         mH^2 - s - t, mW, mW, mW, 0])/(1 - cosW^2)^(3/2))/(16*Pi^4);
